package com.ynet.life.util;

import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.ResultSet;

/* loaded from: com_ynet_life_util.jar:com/ynet/life/util/ReadBlobUtil.class */
public class ReadBlobUtil {
    public static String getStringFromBlobResultSet(ResultSet resultSet, String fieldName) throws TranFailException {
        try {
            ByteArrayOutputStream output = new ByteArrayOutputStream();
            InputStream ins = resultSet.getBlob(fieldName).getBinaryStream();
            BufferedInputStream buffer = new BufferedInputStream(ins);
            BufferedOutputStream out = new BufferedOutputStream(output);
            byte[] b = new byte[1024];
            while (true) {
                try {
                    int len = buffer.read(b);
                    if (len != -1) {
                        out.write(b, 0, len);
                        out.flush();
                    } else {
                        return new String(output.toByteArray());
                    }
                } catch (IOException e) {
                    Trace.logError("LifeAction", "解析Blob字段IO异常", e);
                    throw new TranFailException("EBLN0000", "解析Blob字段IO异常", e, false);
                }
            }
        } catch (Exception ex) {
            Trace.logError("LifeAction", "解析Blob字段失败", ex);
            throw new TranFailException("EBLN0000", "解析Blob字段失败", ex, false);
        }
    }
}
